---
title: Willkommen
tags: [hallo, einleitung, begrüßung]
description: Hallo
sidebar_position: 1
---

## Die Welt der Mathematik ist eine Schöne.

**Wieso erwähne ich nur die Mathematik, obwohl es doch noch zwei weitere große Themenkomplexe gibt?**

Nun, das ist einfach: die beiden Weiteren sind Konsequenz aus der Mathematik.
Die Informatik ist angewandte Mathematik und aus historischem Kontext auch ein Teilgebiet dieser.
Erst durch das Aufkommen von Computern ist die Informatik aus ihrem theoretischen Bereich herausgekommen 
und hat sich zu dem entwickelt, was wir heute unter Informatik verstehen.
Wenngleich die meisten Menschen trotzdem eine falsche Vorstellung von Informatik haben.

Neben den theoretischen Aspekten der Informatik, also Mathematik, ist das Programmieren von Computern heute ein
wichtiger Bestandteil der technologischen Welt.
Ganz gleich, ob Informatiker, andere Ingenieure oder *Programmierer auf anderen Wegen* (Ausbildungsberuf, Schule, Hobby, etc.)
diese Programmierung vornehmen, sie alle eint wahrscheinlich, dass sie Spaß daran haben.
Programmiersprachen basieren dabei auf den theoretischen Grundpfeilern der Informatik.

So passt das alles ineinander:
- Mathematik ist die Grundlage der Informatik
- Informatik ist die Grundlage der Programmierung

Diese Beziehung ist *transitiv*, denn es folgt daraus, dass auch die Mathematik Grundlage der Programmierung ist,
was die Eingangsfrage beantwortet.

Doch widmen wir uns der Überschrift:
> Die Welt der Mathematik ist eine Schöne.

Einige von euch werden nun vielleicht angewidert den Kopf schütteln,
doch das ist nicht ganz fair.
Die Mathematik aus der Schule unterscheidet sich von der *höheren Mathematik*, wie sie im Studium gelehrt wird.
Wer diese höhere Mathematik geschnuppert und ihr eine Chance gegeben hat, der wird vielleicht gefallen an ihr gefunden haben.

## Wer bin ich?
Ich bin ein Mittzwanziger, der unheimlich gerne über die Themen redet und alles davon wissen will, 
aber eigentlich gar nicht so gut darin ist.
Ich habe einen *Bachelor of Science* in *angewandter Informatik* und studiere aktuell *angewandte Mathematik*.
Bevor ich studiert habe, habe ich eine Ausbildung zum *Informations- und Kommunikationstechnischen Assistenten* absolviert.
Ich fühle mich also in der Mathematik, der Informatik und der Programmierung wohl.

## Wozu das Ganze hier?
Ich möchte ein umfangreiches Werk erschaffen, das meine Studieninhalte aufgreift und sowohl komprimiert, als auch erweitert.
Was meine ich damit?
Ich kann hier nicht alles *ganz penibel* aufschreiben, was in meinen Skripten steht, auch wenn ich mich an diesen orientiere.
Aber ich ziehe auch andere Quellen als die Skripte meiner Professoren her - Skripte anderer Professoren, Bücher, eigene Erfahrung, etc.
Dabei versuche ich die Sachverhalte in meinen Worten wiederzugeben - zum Einen, um es selbst besser zu verstehen 
und zum Anderen, um es euch zugänglicher zu machen.

Es geht also darum, mein Wissen hier zu konservieren und an andere weiterzugeben.

## Für wen das Ganze?
Diese Seite richtet sich an jede Person, die Interesse an den Themen hat.
Das Niveau ist allerdings Hochschulniveau und eignet sich daher nicht unbedingt für Schülerinnen oder Schüler, 
die gerade für etwas lernen.
Das sollte euch aber nicht davon abhalten, trotzdem mal reinzulesen, wenn es euch interessiert.
Vielleicht denkt sich jemand von euch ja, dass das etwas ist, das ihr in Zukunft machen wollt.
Im *MINT*-Bereich (**M**athematik, **I**nformatik, **N**aturwissenschaft, **T**echnik) gibt es viele Studienabbrecher,
da das alles nicht gerade einfach ist und vielen die essenzielle Mathematik Schwierigkeiten bereitet.
Doch wir brauchen viele von euch, die ein MINT-Studium absolvieren und vor allem Mädchen und Frauen sind weit unterrepräsentiert.
Eine allgemein höhere Diversität im MINT-Bereich ist erstrebens- und wünschenswert.

## Wie verarbeitet ihr das hier?
Das liegt ganz bei dir.
Die Unterthemen sind mehr oder weniger chronologisch angeordnet, wie man sie auch im Studium einführt.
Du kannst also bequem den Programmierteil beginnen, ohne vorher die Mathematik durchgearbeitet zu haben.
An gewissen Punkten gibt es Querverweise zu anderen, die du dir dann anschauen kannst, wenn sie kommen.
Solltest du schon Vorkenntnisse haben, kannst du natürlich auch ab da einsteigen, wo du denkst, dass es sinnvoll ist - 
zurückblättern kann man immer, falls doch noch was fehlt.
Auf den Übersichtsseiten der einzelnen Oberthemen findest du hierzu jedoch weitere Informationen.

## Ihr wollt mitmachen oder Fehler melden?
Das Projekt ist in erster Linie ein Projekt von *mir* für *euch*.
Falls ihr jedoch Interesse an eine Art Gastbeitrag habt, ihr einen Fehler (Rechtschreibung, Grammatik, Inhaltlich, etc.)
gefunden oder einen Themenwunsch habt, dann könnt ihr mich gerne unter 
[niklas.birk@niklas-birk.de](mailto://niklas.birk@niklas-birk.de) erreichen und ich schaue, 
wie und ob ich euch weiterhelfen kann.

Den Code und die Ressourcen zu dieser Website findet ihr unter [git.niklas-birk.de](https://git.niklas-birk.de/niklas/niklas_birk_blog).
Da ihr dort jedoch keinen Account anlegen könnt, ist die *Issue*-Funktion nicht verfügbar.
Alternativ könnt ihr auf [github.com/niklasbirk](https://github.com/niklasbirk/niklas-birk-blog) ein Issue anlegen.