---
title: Was ist Mathematik?
tags: [mathe, mathematik, definition]
sidebar_position: 1
---

# Mathematik - eine Einführung
## Zur Beliebtheit der Mathematik
Mathematik wird als nicht besonders beliebtes Schulfach gesehen.
Dabei galt es 2010 noch als eines der Lieblingsfächer der Deutschen. [^1]
Trotzdem scheint es so, als ob die meisten das Fach nicht mögen, wenn man sich so umhört.
Vielleicht liegt es an der Schule, an den Lehrern oder einfach an der Schulmathematik selbst.
Die Schulmathematik ist allerdings eine völlig andere, als die höhere Mathematik oder Uni-Mathematik.
Die wahre Schönheit der Mathematik lässt sich erst in der höheren Mathematik erkennen, 
doch diese wäre für den Schulunterricht ungeeignet. 
Lediglich in der gymnasialen Oberstufen werden ein paar wenige Konzepte der höheren Mathematik eingeführt,
wenngleich nicht mit einer hohen mathematischen Strenge oder Abstraktion.

## Mathematik ist überall
Aber Mathematik umgibt uns ständig. Wesentliche Zusammenhänge in der Natur lassen sich durch Mathematik beschreiben.
Zahlen und das Rechnen mit ihnen ist unser täglich Brot, wenn wir beim Bäcker etwas kaufen.
Sie ist enorm wichtig für uns Menschen, da viele ingenieurwissenschaftlichen Erkenntnisse auf ihr mit der Physik beruhen.
Es gäbe keine Computer ohne die Mathematik. 
Ich könnte ohne Mathematik diese Zeilen hier gar nicht schreiben und du nicht lesen.

Einer der wichtigsten Universalgelehrten hat mal gesagt:
> Mathematik ist das Alphabet, mit dessen Hilfe Gott das Universum beschrieben hat.
> 
> — Galileo Galilei

Galileo Galilei lebte bis ins 17. Jahrhundert, das war lange bevor die Mathematik zu dem wurde, wie wir sie heute kennen.
Die neuzeitliche Mathematik, wie sie heute betrieben wird, entwickelte sich erst im 19. und 20. Jahrhundert.
Dennoch spielte die Mathematik bereits in der Antike und seit jeher eine wichtige Rolle.

## Mathematik = Rechnen?
Mathematik entstand aus der Untersuchung von geometrischen Figuren und dem Rechnen mit Zahlen.
Jedoch hat sie sich weiterentwickelt zu etwas, das mit bloßem Rechnen nicht mehr viel zu tun hat.
Auch die Geometrie hat sich zu etwas entwickelt, was wir uns so gar nicht mehr vorstellen können.
Das *übliche* Rechnen und die *übliche* Geometrie sind allerdings allesamt Spezialfälle der heutigen Auffassungen
und eignen sich daher gut dafür sich die Dinge vorzustellen. 
Auch deshalb beschränkt man sich häufig auf diese, wenn man einer Person Mathematik nahe bringen möchte.
Auch spielt das Rechnen in unserem Alltag an der Supermarktkasse oder beim Zählen eine große Rolle.

Mathematik zählt wie die [Informatik](/informatik/informatik.md) zu den *Struktur*- bzw. *Formalwissenschaften*.
Sie nimmt damit eine Sonderrolle unter den Wissenschaften ein und wird manchmal auch als *__die__ exakte* Wissenschaft betrachtet.
Denn anders, als bei anderen Wissenschaften beruhen die Erkenntnisse auf einem logischen Beweis. 
Ein wahrer logischer Beweis ist prinzipbedingt endgültig und allgemeingültig wahr. 
Im Vergleich dazu werden naturwissenschaftliche Erkenntnisse durch Experimente bestätigt und müssen durch Experimente 
auch falsifiziert werden können. Solche Erkenntnisse sind daher vorläufig, das kennt die Mathematik nicht.

### Ein Versuch einer Definition
Eine gemeinhin anerkannte Definition existiert nicht, aber ein grober Versuch zu beschreiben, 
was die Mathematik ist oder macht könnte folgendermaßen aussehen: 

:::note Mathematik

Die Mathematik ist eine Wissenschaft, 
die durch logische Definitionen selbstgeschaffene abstrakte Strukturen mittels der Logik
auf ihre Eigenschaften und Muster untersucht.[^2]

:::

## Einteilung der Mathematik
### Reine Mathematik
Die reine Mathematik beschäftigt sich vorzugsweise mit der Untersuchung der mathematischen Strukturen und Objekte innerhalb der Mathematik.
Die Theorien dazu werden ggf. erweitert oder verallgemeinert und neue Verbindungen erkannt.
Dazu werden neue Definitionen eingeführt.
Außerdem müssen die Verbindungen mathematisch bewiesen und in mathematischer Strenge als Sätze formuliert werden.

### Angewandte Mathematik
In der angewandten Mathematik werden die Erkenntnisse der Mathematik auf reale Probleme in anderen Wissenschaften wie 
Naturwissenschaften, Informatik und Technik angewandt.
Hierbei wird das Problem aus dem anderen Bereich mathematisch modelliert.
Passend zu dem erstellten Modell kann dann eine Methode der Mathematik herangezogen werden, mit der man das Problem löst.

Die Grenzen zur reinen Mathematik sind dabei fließend.

Folgende Gebiete kann man zur angewandten Mathematik zählen, die mehr oder weniger mit der reinen Mathematik in Verbindung stehen:
- Numerik
- Optimierung
- Operations Research
- Kryptologie
- Wissenschaftliches Rechnen
- Mathematische Chemie
- Mathematische Biologie
- Mathematische Physik
- Mathematische Statistik
- Wirtschaftsmathematik
- Theoretische Informatik

## Teilgebiete der Mathematik
Die Mathematik hat viele Teilgebiete.
Vier davon sind besonders hervorzuheben, da sie für viele andere Teilgebiete die absoluten Grundlagen bereitstellen.

### Fundamentale Gebiete
#### Logik und Mengenlehre
Die Logik ist nicht nur fundamental in der Mathematik. 
Auch in der Philosophie und Informatik spielt sie eine entscheidende Rolle.

:::note Logik

Logik ist die Wissenschaft des *richtigen Schließens*.
In der Mathematik werden die Zusammenhänge zwischen Axiomen und Sätzen von mathematischen Theorien untersucht.

:::

Die Logik bildet das formale Grundgerüst, auf das die Mathematik heute beruht.
Mathematische *Sätze* sind logische Aussagen und das Zeigen der Gültigkeit eines solchen Satzes wird
durch *Beweise* geführt, welche auf logischen *Schlussfolgerungen* beruhen.

Allerdings hat die verwendete Logik auch Grenzen. 
*David Hilbert*, einer der einflussreichsten Mathematiker des 20. Jahrhunderts, 
wollte die Mathematik als formales System neu definieren, in dem übliche Beweismethoden weiterhin zulässig sind.
Dieses System sollte widerspruchsfrei sein und alle ableitbaren Sätze sollten abgeleitet werden können.
*Kurt Gödel* zeigte allerdings, das dies nicht möglich ist und es Sätze gibt, die weder bewiesen, noch widerlegt werden können.

Sehr eng mit Logik verwandt ist die Mengenlehre bzw. die Mengenlehre ist ein Teilgebiet der *mathematischen Logik*. 
Die Mengenlehre untersucht Mengen, also eine Zusammenfassung von Objekten.
Mengenoperationen können direkt auf die Logik zurückgeführt werden.
Außerdem werden nahezu alle mathematischen Objekte als Mengen definiert, weshalb Mengen (und Logik) **die** Grundlage der Mathematik ist.

:::note Mengenlehre

Die Mengenlehre befasst sich mit der Untersuchung von einer Zusammenfassung von wohlunterschiedenen Objekten unserer
Anschauung oder unseres Denkens zu einem Ganzen (Menge).

:::

In u.a. folgende Untersuchungs- und Teilgebiete lässt sich die (mathematische) Logik einordnen:
- Aussagen- und Prädikatenlogik
- Beweistheorie
- Modelltheorie
- Mengenlehre
  - naive Mengenlehre
  - Zermelo-Fraenkel-Mengenlehre
  - Mengenoperationen
  - Relationen und Funktionen

#### Algebra
Die Algebra wird in der Schule häufig als das "Rechnen mit Unbekannten" und "Lösen von Gleichungen" eingeführt.
Die Theorie der Algebra hat sich allerdings weiterentwickelt und abstrahiert.

:::note Algebra

Algebra untersucht die Verbindungen zwischen algebraischen Strukturen.

:::

Folgende Untersuchungs- und Teilgebiete können u.a. der Algebra zugeordnet werden:
- Arithmetik (zusammen mit der [Zahlentheorie](#zahlentheorie))
- Elementare Algebra ("Schulalgebra")
- Abstrakte Algebra
  - Gruppentheorie
  - Ringtheorie
  - Körpertheorie
- Lineare Algebra
  - Vektorraumtheorie
  - Lineare Gleichungssysteme
  - Affine Geometrie

#### Analysis
Die Analysis ist v.a. für Natur- und Ingenieurwissenschaften relevant.
Sie beschäftigt sich hauptsächlich mit Funktionen in den *reellen* und *komplexen Zahlen*.

:::note Analysis

Die Analysis befasst sich mit Funktionen und ihren analytischen Eigenschaften, 
wie Stetigkeit, Differenzierbarkeit und Integrierbarkeit.

:::

Folgende Untersuchungs- und Teilgebiete können u.a. der Analysis zugeordnet werden:
- Folgen, Reihen und Grenzwerte
- Reelle Analysis
  - Stetigkeit
  - Differentialrechnung
  - Integralrechnung
- Funktionentheorie (komplexe Analysis)
- Funktionalanalysis (Kombination aus Algebra und Analysis)
- Differentialgleichungen

#### Topologie
Die Topologie beschäftigt sich mit mathematischen Strukturen, deren Struktur unter stetigen Verformungen erhalten bleiben.

:::note Topologie

Die Topologie ist die Lehre von der Lage und Anordnung geometrischer Gebilde im Raum. [^3]

:::

Der Stetigkeitsbegriff aus der Analysis wird dadurch verallgemeinert. 
Ebenso Begriffe wie Grenzwerte.

Als Grundlegende Strukturen werden dabei die *topologischen Räume* eingeführt.
Ein Spezialfall eines topologischen Raumes ist der *metrische Raum*, welcher auch in der Analysis eine bedeutende Rolle spielt.

### Weitere Teilgebiete
#### Diskrete Mathematik
Die diskrete Mathematik beschäftigt sich mit diskreten Strukturen, während die Analysis bspw. als *kontinuierlich* beschrieben werden kann.
Sie spielt v.a. in der Informatik eine wichtige Rolle.

:::note Diskrete Mathematik

Die diskrete Mathematik beschäftigt sich mit Operationen auf höchstens abzählbar unendlichen Mengen.

:::

Als Untersuchungs- und Teilgebiete der diskreten Mathematik können folgende aufgezählt werden:
- Codierungstheorie
- Kryptographie
- Graphentheorie
- Kombinatorik
- Zahlentheorie

#### Numerik
Durch die Erkenntnisse der Numerik lassen sich näherungsweise Lösungen durch Computer berechnen.

:::note Numerische Mathematik

Die numerische Mathematik beschäftigt sich mit der Konstruktion und Analyse von Algorithmen für kontinuierliche mathematische Probleme. [^4]

:::

An der Definition erkennbar, sind numerische Algorithmen nicht nur für Computer gedacht.
Wenn ein gegebenes Problem mathematisch zu berechnen sehr aufwändig ist und man nur Näherungswerte benötigt,
dann kann es Wert sein, eine numerische Lösung dafür zu finden, die erheblich einfacher ist, 
ganz unabhängig von Computern (z.B. Überschlagen einer Rechnung im Kopf).

#### Stochastik und Statistik
In der Mathematik sind Ergebnisse erstmal vorherbestimmt, da z.B. eine Rechnung eben nur ein Ergebnis liefert.
Es gibt jedoch in der echten Welt auch so etwas wie Zufall.
Da wir die Mathematik gerne als Beschreibungssprache theoretischer Zusammenhänge verwenden,
kam der Wunsch nach einer mathematischen Theorie für Zufall auf.
Glücklicherweise ging das auf und die Wahrscheinlichkeitstheorie ward geboren.

:::note Stochastik

Die Stochastik untersucht mathematische Methoden für 
Versuche, Beobachtungen, Situationen, etc., bei denen man Ergebnisse nicht genau (vorher-)bestimmen kann

:::

Unter Stochastik fallen die beiden Zweige *Wahrscheinlichkeitstheorie* und *mathematische Statistik*.
Es gibt neben der *mathematischen Statistik* allerdings noch weitere Arten von Statistiken.

:::note Statistik

Statistik ist die Lehre von Methoden zum Umgang mit quantitativen Informationen.
Sie ist eine Möglichkeit, eine systematische Verbindung zwischen Erfahrung (Empirie) und Theorie herzustellen. [^5]

:::

Viele empirische Wissenschaften nutzen die Statistik als theoretische Grundlage, 
da mit den Hilfsmitteln der Statistik ihre empirisch gesammelten Informationen analysiert werden können.

Folgende Untersuchungs- und Teilgebiete der Stochastik und Statistik können genannt werden:
- Wahrscheinlichkeitstheorie
  - Wahrscheinlichkeit
  - Zufallsvariablen
  - Verteilungen
- Statistik
  - Mathematische Statistik
  - Deskriptive Statistik
  - Induktive Statistik
  - Explorative Statistik

#### Geometrie 
Geometrie handelte früher von Punkten und Geraden und Figuren, die man damit erstellen konnte.
Ganz anschaulich konnte man damit Figuren zeichnen und konstruieren.
Mittlerweile hat sich die Geometrie zu etwas weiterentwickelt, von dem man gar nicht mehr annehmen würde, dass es Geometrie ist.

:::note Geometrie

Geometrie beschäftigt sich mit der allgemeinen Untersuchung invarianter (unveränderlicher) Größen.

> Geometrie ist die Invariantentheorie von Transformationsgruppen.
>
> — Felix Klein (Erlanger-Programm)

:::

Folgende Untersuchungs- und Teilgebiete der Geometrie können genannt werden:
- Geometrische Figuren
- Synthetische Geometrie
  - Projektive Geometrie
  - Affine Geometrie
  - Euklidische Geometrie (Elementargeometrie aus der Schule)
- Analytische Geometrie (anderer Zugang zu synthetischen Geometrien, v.a. Elementargeometrie)
- Nichteuklidische Geometrie
- Differentialgeometrie

#### Zahlentheorie 
Die Zahlentheorie beschäftigt sich hauptsächlich mit Zahlen.
In der *elementaren Zahlentheorie* insbesondere mit den *ganzen Zahlen*.
Begriffe wie Teilbarkeit kommen aus diesem Teilgebiet, genauer gesagt aus der Arithmetik..
Zahlentheoretische Erkenntnisse werden insbesondere in der Codierungstheorie und Kryptographie benötigt.

:::note Zahlentheorie

Die Zahlentheorie beschäftigt sich mit den Eigenschaften von Zahlen und Zahlbereichen. [^6]

:::

Bei der [Algebra](#algebra) wurde bereits die Arithmetik erwähnt. 
Die Arithmetik ist das Rechnen mit den *Grundrechenarten* in den *natürlichen Zahlen*. 
Sowohl die Algebra, als auch die Zahlentheorie verallgemeinern dieses Konzept.
Während Algebra das Rechnen mit Elementen verallgemeinert, ist es bei der Zahlentheorie eine Verallgemeinerung
der Eigenschaften der ganzen Zahlen (*elementare Zahlentheorie*).

Folgende Untersuchungs- und Teilgebiete der Zahlentheorie können genannt werden:
- Teilbarkeit
- Primzahlen
- Kongruenzen
- Elementare Zahlentheorie (Arithmetik)
- Analytische Zahlentheorie
- Algebraische Zahlentheorie
- Algorithmische Zahlentheorie

[^1]: https://www.mathematik.de/Vermischtes/65-studie-mathematik-ist-das-lieblingsfach-der-deutschen
[^2]: https://de.wikipedia.org/wiki/Mathematik
[^3]: https://de.wikipedia.org/wiki/Topologie_(Mathematik)
[^4]: https://de.wikipedia.org/wiki/Numerische_Mathematik
[^5]: https://de.wikipedia.org/wiki/Statistik
[^6]: https://de.wikipedia.org/wiki/Zahlentheorie